Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.clipper
Interface IClipperUrlFilter

    public interface IClipperUrlFilter

Interface for determining how links should be rewritten. There are two kinds of links ... @todo You can register your own implementation of this interface to be used for a clipper portlet. To do that, set the pref ClipperConstants.URL_FILTER_CLASS_PREFERENCE. If you don't want to write your own implementation, there are some simpler "presets" that you can configure. You can set the value of PROXY_RESOURCE_URLS_PREFERENCE to false to keep the system from proxying resource urls. You can also set regular expression values in ALLOWED_URL_REGEX_PREFERENCE if you want to restrict the urls reachable from a clipper portlet. Both of those preference settings are ignored if you provide your own implementation.

Method Summary
`boolean` | `allowUrl(String url)` Should the url be reachable from the clipper portlet? If this method returns false, rewritten links containing this url will have empty values (for example, a link <a href="forbidden.site.com"> would be rewritten to <a href="" >, and a request to clip this url would receive a 404 response.
`boolean` | `rewriteClickableUrl(String url)` Should the url be rewritten to stay within portal context? If this methods returns false, clicking on a link to this url will take the user straight to the target url, which will render the new page in the full browser, and not inside the clipper portlet.
`boolean` | `rewriteResourceUrl(String url)` For resource urls only, i.e.

Method Detail

### allowUrl

    boolean allowUrl(String url)

  Should the url be reachable from the clipper portlet? If this method returns false, rewritten links containing this url will have empty values (for example, a link <a href="forbidden.site.com"> would be rewritten to <a href="" >, and a request to clip this url would receive a 404 response.

  Parameters
    `url` -

### rewriteClickableUrl

    boolean rewriteClickableUrl(String url)

  Should the url be rewritten to stay within portal context? If this methods returns false, clicking on a link to this url will take the user straight to the target url, which will render the new page in the full browser, and not inside the clipper portlet. This method applies to "clickable" urls only: links in anchors, form actions, etc. @todo finish this up

  Parameters
    `url` -

### rewriteResourceUrl

    boolean rewriteResourceUrl(String url)

  For resource urls only, i.e. links in <img>, script, etc tags. @todo finish this up Should the resource be proxied through the wlp server, or should the resource link point directly to the original resource in the remote page? Proxying is more expensive since it involves a hop through the wlp server; however, it may be necessary if the remote page lives behind a firewall. Implementations of this method will usually be either `return true;` or `return false`, although the possibility to do something more sophisticated is there.

  Parameters
    `url` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved